CentOS / RHEL 7 64 bits

Logs

====== Attempt #1

-----> Fetching repository

Cloning into '/tmp/d20231120-7-12m3zc6/input'...

Updating files: 48% (7101/14740) Updating files: 49% (7223/14740) Updating files: 50% (7370/14740) Updating files: 51% (7518/14740) Updating files: 52% (7665/14740) Updating files: 53% (7813/14740) Updating files: 54% (7960/14740) Updating files: 55% (8107/14740) Updating files: 56% (8255/14740) Updating files: 57% (8402/14740) Updating files: 58% (8550/14740) Updating files: 59% (8697/14740) Updating files: 60% (8844/14740) Updating files: 61% (8992/14740) Updating files: 62% (9139/14740) Updating files: 63% (9287/14740) Updating files: 64% (9434/14740) Updating files: 65% (9581/14740) Updating files: 66% (9729/14740) Updating files: 67% (9876/14740) Updating files: 68% (10024/14740) Updating files: 69% (10171/14740) Updating files: 70% (10318/14740) Updating files: 71% (10466/14740) Updating files: 72% (10613/14740) Updating files: 73% (10761/14740) Updating files: 74% (10908/14740) Updating files: 75% (11055/14740) Updating files: 76% (11203/14740) Updating files: 77% (11350/14740) Updating files: 78% (11498/14740) Updating files: 79% (11645/14740) Updating files: 80% (11792/14740) Updating files: 81% (11940/14740) Updating files: 82% (12087/14740) Updating files: 83% (12235/14740) Updating files: 84% (12382/14740) Updating files: 85% (12529/14740) Updating files: 86% (12677/14740) Updating files: 87% (12824/14740) Updating files: 88% (12972/14740) Updating files: 89% (13119/14740) Updating files: 90% (13266/14740) Updating files: 91% (13414/14740) Updating files: 92% (13561/14740) Updating files: 93% (13709/14740) Updating files: 94% (13856/14740) Updating files: 95% (14003/14740) Updating files: 96% (14151/14740) Updating files: 97% (14298/14740) Updating files: 98% (14446/14740) Updating files: 99% (14593/14740) Updating files: 100% (14740/14740) Updating files: 100% (14740/14740), done.

-----> Setting up package repository...

-----> Starting packaging process

-----> Starting service postgres...

-----> Additional environment variables

UUID=144.76.242.2:22/345a179a-8771-48fd-9733-5a32e9edd132

DATABASE_URL=postgres://postgres:71wX1kWSE-ziQTs8@144.76.242.2:56694/postgres

DATABASE_HOST=144.76.242.2

DATABASE_PORT=56694

HOME=/home/pkgr

-----> Found valid cache

-----> Restoring cache...

-----> Fetching pkgr 205f399e2e0f530a19cfdbae8e712f32805822e7...

-----> Starting packaging process...

-----> [wizard] adding legacy-installer wizard (https://github.com/pkgr/addon-legacy-installer#master)

-----> [wizard] adding openproject-edition wizard (/tmp/d20231120-36-16bw55j/opt/openproject/packaging/addons/openproject-edition#)

-----> [wizard] adding postgres wizard (https://github.com/pkgr/addon-postgres#master)

-----> [wizard] adding apache2 wizard (https://github.com/pkgr/addon-apache2#master)

-----> [wizard] adding repositories wizard (/tmp/d20231120-36-16bw55j/opt/openproject/packaging/addons/repositories#)

-----> [wizard] adding memcached wizard (https://github.com/pkgr/addon-memcached#master)

-----> [wizard] adding openproject wizard (/tmp/d20231120-36-16bw55j/opt/openproject/packaging/addons/openproject#)

-----> Fetching buildpack https://github.com/opf/heroku-buildpack-multi.git at master

-----> Running hook: "packaging/setup"

Loaded plugins: fastestmirror, ovl

Resolving Dependencies

--> Running transaction check

---> Package postgresql-devel.x86_64 0:9.2.24-8.el7_9 will be erased

--> Finished Dependency Resolution

Dependencies Resolved

================================================================================

Package Arch Version Repository Size

================================================================================

Removing:

postgresql-devel x86_64 9.2.24-8.el7_9 @updates 4.0 M

Transaction Summary

================================================================================

Remove 1 Package

Installed size: 4.0 M

Downloading packages:

Running transaction check

Running transaction test

Transaction test succeeded

Running transaction

Erasing : postgresql-devel-9.2.24-8.el7_9.x86_64 1/1

Verifying : postgresql-devel-9.2.24-8.el7_9.x86_64 1/1

Removed:

postgresql-devel.x86_64 0:9.2.24-8.el7_9

Complete!

Loaded plugins: fastestmirror, ovl

Examining /var/tmp/yum-root-AkIviY/pgdg-redhat-repo-latest.noarch.rpm: pgdg-redhat-repo-42.0-32.noarch

Marking /var/tmp/yum-root-AkIviY/pgdg-redhat-repo-latest.noarch.rpm as an update to pgdg-redhat-repo-42.0-27.noarch

Resolving Dependencies

--> Running transaction check

---> Package pgdg-redhat-repo.noarch 0:42.0-27 will be updated

---> Package pgdg-redhat-repo.noarch 0:42.0-32 will be an update

--> Finished Dependency Resolution

Dependencies Resolved

================================================================================

Package Arch Version Repository Size

================================================================================

Updating:

pgdg-redhat-repo noarch 42.0-32 /pgdg-redhat-repo-latest.noarch 13 k

Transaction Summary

================================================================================

Upgrade 1 Package

Total size: 13 k

Downloading packages:

Running transaction check

Running transaction test

Transaction test succeeded

Running transaction

Updating : pgdg-redhat-repo-42.0-32.noarch 1/2

Cleanup : pgdg-redhat-repo-42.0-27.noarch 2/2

Verifying : pgdg-redhat-repo-42.0-32.noarch 1/2

Verifying : pgdg-redhat-repo-42.0-27.noarch 2/2

Updated:

pgdg-redhat-repo.noarch 0:42.0-32

Complete!

Loaded plugins: fastestmirror, ovl

Determining fastest mirrors

* base: centosmirror.netcup.net

* epel: cdn.centos.no

* extras: mirror.23m.com

* updates: de.mirrors.clouvider.net

Resolving Dependencies

--> Running transaction check

---> Package centos-release-scl-rh.noarch 0:2-3.el7.centos will be installed

--> Finished Dependency Resolution

Dependencies Resolved

================================================================================

Package Arch Version Repository Size

================================================================================

Installing:

centos-release-scl-rh noarch 2-3.el7.centos extras 12 k

Transaction Summary

================================================================================

Install 1 Package

Total download size: 12 k

Installed size: 20 k

Downloading packages:

Running transaction check

Running transaction test

Transaction test succeeded

Running transaction

Installing : centos-release-scl-rh-2-3.el7.centos.noarch 1/1

Verifying : centos-release-scl-rh-2-3.el7.centos.noarch 1/1

Installed:

centos-release-scl-rh.noarch 0:2-3.el7.centos

Complete!

Loaded plugins: fastestmirror, ovl

Loading mirror speeds from cached hostfile

* base: centosmirror.netcup.net

* centos-sclo-rh: mirror.junda.nl

* epel: cdn.centos.no

* extras: mirror.23m.com

* updates: de.mirrors.clouvider.net

Resolving Dependencies

--> Running transaction check

---> Package postgresql13-devel.x86_64 0:13.13-1PGDG.rhel7 will be installed

--> Processing Dependency: postgresql13-libs(x86-64) = 13.13-1PGDG.rhel7 for package: postgresql13-devel-13.13-1PGDG.rhel7.x86_64

--> Processing Dependency: postgresql13(x86-64) = 13.13-1PGDG.rhel7 for package: postgresql13-devel-13.13-1PGDG.rhel7.x86_64

--> Processing Dependency: perl(Test::More) >= 0.87 for package: postgresql13-devel-13.13-1PGDG.rhel7.x86_64

--> Processing Dependency: llvm5.0-devel >= 5.0 for package: postgresql13-devel-13.13-1PGDG.rhel7.x86_64

--> Processing Dependency: llvm-toolset-7-clang >= 4.0.1 for package: postgresql13-devel-13.13-1PGDG.rhel7.x86_64

--> Processing Dependency: perl-Test-Simple for package: postgresql13-devel-13.13-1PGDG.rhel7.x86_64

--> Processing Dependency: perl(Test::More) for package: postgresql13-devel-13.13-1PGDG.rhel7.x86_64

--> Processing Dependency: perl(IPC::Run) for package: postgresql13-devel-13.13-1PGDG.rhel7.x86_64

--> Running transaction check

---> Package llvm-toolset-7-clang.x86_64 0:5.0.1-4.el7 will be installed

--> Processing Dependency: llvm-toolset-7-clang-libs(x86-64) = 5.0.1-4.el7 for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libLLVM-5.0.so(LLVM_5.0)(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclang.so.5(LLVM_5.0)(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: llvm-toolset-7-runtime for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libLLVM-5.0.so()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclang.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangAST.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangBasic.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangCodeGen.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangDriver.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangFormat.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangFrontend.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangFrontendTool.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangIndex.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangLex.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangParse.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangRewrite.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangRewriteFrontend.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangSerialization.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangStaticAnalyzerFrontend.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangTooling.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

--> Processing Dependency: libclangToolingCore.so.5()(64bit) for package: llvm-toolset-7-clang-5.0.1-4.el7.x86_64

---> Package llvm5.0-devel.x86_64 0:5.0.1-7.el7 will be installed

--> Processing Dependency: llvm5.0(x86-64) = 5.0.1-7.el7 for package: llvm5.0-devel-5.0.1-7.el7.x86_64

--> Processing Dependency: libedit-devel for package: llvm5.0-devel-5.0.1-7.el7.x86_64

---> Package perl-IPC-Run.noarch 0:0.92-2.el7 will be installed

--> Processing Dependency: perl(IO::Pty) >= 1.08 for package: perl-IPC-Run-0.92-2.el7.noarch

---> Package perl-Test-Simple.noarch 0:0.98-243.el7 will be installed

---> Package postgresql13.x86_64 0:13.13-1PGDG.rhel7 will be installed

---> Package postgresql13-libs.x86_64 0:13.13-1PGDG.rhel7 will be installed

--> Running transaction check

---> Package libedit-devel.x86_64 0:3.0-12.20121213cvs.el7 will be installed

---> Package llvm-toolset-7-clang-libs.x86_64 0:5.0.1-4.el7 will be installed

--> Processing Dependency: llvm-toolset-7-compiler-rt(x86-64) >= 5.0.1 for package: llvm-toolset-7-clang-libs-5.0.1-4.el7.x86_64

--> Processing Dependency: llvm-toolset-7-libomp(x86-64) >= 5.0.1 for package: llvm-toolset-7-clang-libs-5.0.1-4.el7.x86_64

--> Processing Dependency: devtoolset-7-gcc-c++ for package: llvm-toolset-7-clang-libs-5.0.1-4.el7.x86_64

--> Processing Dependency: devtoolset-7-libstdc++-devel for package: llvm-toolset-7-clang-libs-5.0.1-4.el7.x86_64

---> Package llvm-toolset-7-llvm-libs.x86_64 0:5.0.1-8.el7 will be installed

---> Package llvm-toolset-7-runtime.x86_64 0:5.0.1-4.el7 will be installed

--> Processing Dependency: scl-utils for package: llvm-toolset-7-runtime-5.0.1-4.el7.x86_64

---> Package llvm5.0.x86_64 0:5.0.1-7.el7 will be installed

--> Processing Dependency: llvm5.0-libs(x86-64) = 5.0.1-7.el7 for package: llvm5.0-5.0.1-7.el7.x86_64

---> Package perl-IO-Tty.x86_64 0:1.10-11.el7 will be installed

--> Running transaction check

---> Package devtoolset-7-gcc-c++.x86_64 0:7.3.1-5.16.el7 will be installed

--> Processing Dependency: devtoolset-7-gcc = 7.3.1-5.16.el7 for package: devtoolset-7-gcc-c++-7.3.1-5.16.el7.x86_64

--> Processing Dependency: devtoolset-7-runtime for package: devtoolset-7-gcc-c++-7.3.1-5.16.el7.x86_64

---> Package devtoolset-7-libstdc++-devel.x86_64 0:7.3.1-5.16.el7 will be installed

---> Package llvm-toolset-7-compiler-rt.x86_64 0:5.0.1-2.el7 will be installed

---> Package llvm-toolset-7-libomp.x86_64 0:5.0.1-2.el7 will be installed

---> Package llvm5.0-libs.x86_64 0:5.0.1-7.el7 will be installed

---> Package scl-utils.x86_64 0:20130529-19.el7 will be installed

--> Running transaction check

---> Package devtoolset-7-gcc.x86_64 0:7.3.1-5.16.el7 will be installed

--> Processing Dependency: devtoolset-7-binutils >= 2.22.52.0.1 for package: devtoolset-7-gcc-7.3.1-5.16.el7.x86_64

---> Package devtoolset-7-runtime.x86_64 0:7.1-4.el7 will be installed

--> Processing Dependency: /usr/sbin/restorecon for package: devtoolset-7-runtime-7.1-4.el7.x86_64

--> Processing Dependency: /usr/sbin/restorecon for package: devtoolset-7-runtime-7.1-4.el7.x86_64

--> Processing Dependency: /usr/sbin/semanage for package: devtoolset-7-runtime-7.1-4.el7.x86_64

--> Processing Dependency: /usr/sbin/semanage for package: devtoolset-7-runtime-7.1-4.el7.x86_64

--> Running transaction check

---> Package devtoolset-7-binutils.x86_64 0:2.28-11.el7 will be installed

---> Package policycoreutils.x86_64 0:2.5-34.el7 will be installed

--> Processing Dependency: libselinux-utils >= 2.5-14 for package: policycoreutils-2.5-34.el7.x86_64

---> Package policycoreutils-python.x86_64 0:2.5-34.el7 will be installed

--> Processing Dependency: setools-libs >= 3.3.8-4 for package: policycoreutils-python-2.5-34.el7.x86_64

--> Processing Dependency: libsemanage-python >= 2.5-14 for package: policycoreutils-python-2.5-34.el7.x86_64

--> Processing Dependency: audit-libs-python >= 2.1.3-4 for package: policycoreutils-python-2.5-34.el7.x86_64

--> Processing Dependency: python-IPy for package: policycoreutils-python-2.5-34.el7.x86_64

--> Processing Dependency: libselinux-python for package: policycoreutils-python-2.5-34.el7.x86_64

--> Processing Dependency: libqpol.so.1(VERS_1.4)(64bit) for package: policycoreutils-python-2.5-34.el7.x86_64

--> Processing Dependency: libqpol.so.1(VERS_1.2)(64bit) for package: policycoreutils-python-2.5-34.el7.x86_64

--> Processing Dependency: libcgroup for package: policycoreutils-python-2.5-34.el7.x86_64

--> Processing Dependency: libapol.so.4(VERS_4.0)(64bit) for package: policycoreutils-python-2.5-34.el7.x86_64

--> Processing Dependency: checkpolicy for package: policycoreutils-python-2.5-34.el7.x86_64

--> Processing Dependency: libqpol.so.1()(64bit) for package: policycoreutils-python-2.5-34.el7.x86_64

--> Processing Dependency: libapol.so.4()(64bit) for package: policycoreutils-python-2.5-34.el7.x86_64

--> Running transaction check

---> Package audit-libs-python.x86_64 0:2.8.5-4.el7 will be installed

---> Package checkpolicy.x86_64 0:2.5-8.el7 will be installed

---> Package libcgroup.x86_64 0:0.41-21.el7 will be installed

---> Package libselinux-python.x86_64 0:2.5-15.el7 will be installed

---> Package libselinux-utils.x86_64 0:2.5-15.el7 will be installed

---> Package libsemanage-python.x86_64 0:2.5-14.el7 will be installed

---> Package python-IPy.noarch 0:0.75-6.el7 will be installed

---> Package setools-libs.x86_64 0:3.3.8-4.el7 will be installed

--> Finished Dependency Resolution

Dependencies Resolved

================================================================================

Package Arch Version Repository Size

================================================================================

Installing:

postgresql13-devel x86_64 13.13-1PGDG.rhel7 pgdg13 2.4 M

Installing for dependencies:

audit-libs-python x86_64 2.8.5-4.el7 base 76 k

checkpolicy x86_64 2.5-8.el7 base 295 k

devtoolset-7-binutils x86_64 2.28-11.el7 centos-sclo-rh 5.3 M

devtoolset-7-gcc x86_64 7.3.1-5.16.el7 centos-sclo-rh 29 M

devtoolset-7-gcc-c++ x86_64 7.3.1-5.16.el7 centos-sclo-rh 11 M

devtoolset-7-libstdc++-devel

x86_64 7.3.1-5.16.el7 centos-sclo-rh 2.5 M

devtoolset-7-runtime x86_64 7.1-4.el7 centos-sclo-rh 20 k

libcgroup x86_64 0.41-21.el7 base 66 k

libedit-devel x86_64 3.0-12.20121213cvs.el7 base 32 k

libselinux-python x86_64 2.5-15.el7 base 236 k

libselinux-utils x86_64 2.5-15.el7 base 151 k

libsemanage-python x86_64 2.5-14.el7 base 113 k

llvm-toolset-7-clang x86_64 5.0.1-4.el7 centos-sclo-rh 545 k

llvm-toolset-7-clang-libs x86_64 5.0.1-4.el7 centos-sclo-rh 13 M

llvm-toolset-7-compiler-rt x86_64 5.0.1-2.el7 centos-sclo-rh 1.7 M

llvm-toolset-7-libomp x86_64 5.0.1-2.el7 centos-sclo-rh 246 k

llvm-toolset-7-llvm-libs x86_64 5.0.1-8.el7 centos-sclo-rh 13 M

llvm-toolset-7-runtime x86_64 5.0.1-4.el7 centos-sclo-rh 1.1 M

llvm5.0 x86_64 5.0.1-7.el7 epel 2.6 M

llvm5.0-devel x86_64 5.0.1-7.el7 epel 2.3 M

llvm5.0-libs x86_64 5.0.1-7.el7 epel 13 M

perl-IO-Tty x86_64 1.10-11.el7 base 42 k

perl-IPC-Run noarch 0.92-2.el7 base 122 k

perl-Test-Simple noarch 0.98-243.el7 base 170 k

policycoreutils x86_64 2.5-34.el7 base 917 k

policycoreutils-python x86_64 2.5-34.el7 base 457 k

postgresql13 x86_64 13.13-1PGDG.rhel7 pgdg13 1.4 M

postgresql13-libs x86_64 13.13-1PGDG.rhel7 pgdg13 386 k

python-IPy noarch 0.75-6.el7 base 32 k

scl-utils x86_64 20130529-19.el7 base 24 k

setools-libs x86_64 3.3.8-4.el7 base 620 k

Transaction Summary

================================================================================

Install 1 Package (+31 Dependent packages)

Total download size: 104 M

Installed size: 358 M

Downloading packages:

warning: /var/cache/yum/x86_64/7/centos-sclo-rh/packages/devtoolset-7-binutils-2.28-11.el7.x86_64.rpm: Header V4 RSA/SHA1 Signature, key ID f2ee9d55: NOKEY

Public key for devtoolset-7-binutils-2.28-11.el7.x86_64.rpm is not installed

--------------------------------------------------------------------------------

Total 64 MB/s | 104 MB 00:01

Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-SCLo

Importing GPG key 0xF2EE9D55:

Userid : "CentOS SoftwareCollections SIG (https://wiki.centos.org/SpecialInterestGroup/SCLo) <security@centos.org>"

Fingerprint: c4db d535 b1fb ba14 f8ba 64a8 4eb8 4e71 f2ee 9d55

Package : centos-release-scl-rh-2-3.el7.centos.noarch (@extras)

From : /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-SIG-SCLo

Running transaction check

Running transaction test

Transaction test succeeded

Running transaction

Installing : llvm5.0-libs-5.0.1-7.el7.x86_64 1/32

Installing : scl-utils-20130529-19.el7.x86_64 2/32

Installing : llvm-toolset-7-runtime-5.0.1-4.el7.x86_64 3/32

Installing : llvm-toolset-7-llvm-libs-5.0.1-8.el7.x86_64 4/32

Installing : postgresql13-libs-13.13-1PGDG.rhel7.x86_64 5/32

Installing : postgresql13-13.13-1PGDG.rhel7.x86_64 6/32

failed to link /usr/bin/psql -> /etc/alternatives/pgsql-psql: /usr/bin/psql exists and it is not a symlink

failed to link /usr/bin/clusterdb -> /etc/alternatives/pgsql-clusterdb: /usr/bin/clusterdb exists and it is not a symlink

failed to link /usr/bin/createdb -> /etc/alternatives/pgsql-createdb: /usr/bin/createdb exists and it is not a symlink

failed to link /usr/bin/createuser -> /etc/alternatives/pgsql-createuser: /usr/bin/createuser exists and it is not a symlink

failed to link /usr/bin/dropdb -> /etc/alternatives/pgsql-dropdb: /usr/bin/dropdb exists and it is not a symlink

failed to link /usr/bin/dropuser -> /etc/alternatives/pgsql-dropuser: /usr/bin/dropuser exists and it is not a symlink

failed to link /usr/bin/pg_dump -> /etc/alternatives/pgsql-pg_dump: /usr/bin/pg_dump exists and it is not a symlink

failed to link /usr/bin/pg_dumpall -> /etc/alternatives/pgsql-pg_dumpall: /usr/bin/pg_dumpall exists and it is not a symlink

failed to link /usr/bin/pg_restore -> /etc/alternatives/pgsql-pg_restore: /usr/bin/pg_restore exists and it is not a symlink

failed to link /usr/bin/reindexdb -> /etc/alternatives/pgsql-reindexdb: /usr/bin/reindexdb exists and it is not a symlink

failed to link /usr/bin/vacuumdb -> /etc/alternatives/pgsql-vacuumdb: /usr/bin/vacuumdb exists and it is not a symlink

Installing : llvm-toolset-7-compiler-rt-5.0.1-2.el7.x86_64 7/32

Installing : llvm-toolset-7-libomp-5.0.1-2.el7.x86_64 8/32

Installing : llvm5.0-5.0.1-7.el7.x86_64 9/32

Installing : libcgroup-0.41-21.el7.x86_64 10/32

Installing : libedit-devel-3.0-12.20121213cvs.el7.x86_64 11/32

Installing : llvm5.0-devel-5.0.1-7.el7.x86_64 12/32

Installing : audit-libs-python-2.8.5-4.el7.x86_64 13/32

Installing : libselinux-python-2.5-15.el7.x86_64 14/32

Installing : libsemanage-python-2.5-14.el7.x86_64 15/32

Installing : setools-libs-3.3.8-4.el7.x86_64 16/32

Installing : perl-IO-Tty-1.10-11.el7.x86_64 17/32

Installing : perl-IPC-Run-0.92-2.el7.noarch 18/32

Installing : libselinux-utils-2.5-15.el7.x86_64 19/32

Installing : policycoreutils-2.5-34.el7.x86_64 20/32

Installing : python-IPy-0.75-6.el7.noarch 21/32

Installing : perl-Test-Simple-0.98-243.el7.noarch 22/32

Installing : checkpolicy-2.5-8.el7.x86_64 23/32

Installing : policycoreutils-python-2.5-34.el7.x86_64 24/32

Installing : devtoolset-7-runtime-7.1-4.el7.x86_64 25/32

ValueError: SELinux policy is not managed or store cannot be accessed.

Installing : devtoolset-7-libstdc++-devel-7.3.1-5.16.el7.x86_64 26/32

Installing : devtoolset-7-binutils-2.28-11.el7.x86_64 27/32

install-info: No such file or directory for /opt/rh/devtoolset-7/root/usr/share/info/as.info.gz

install-info: No such file or directory for /opt/rh/devtoolset-7/root/usr/share/info/binutils.info.gz

install-info: No such file or directory for /opt/rh/devtoolset-7/root/usr/share/info/gprof.info.gz

install-info: No such file or directory for /opt/rh/devtoolset-7/root/usr/share/info/ld.info.gz

Installing : devtoolset-7-gcc-7.3.1-5.16.el7.x86_64 28/32

Installing : devtoolset-7-gcc-c++-7.3.1-5.16.el7.x86_64 29/32

Installing : llvm-toolset-7-clang-libs-5.0.1-4.el7.x86_64 30/32

Installing : llvm-toolset-7-clang-5.0.1-4.el7.x86_64 31/32

Installing : postgresql13-devel-13.13-1PGDG.rhel7.x86_64 32/32

Verifying : llvm5.0-devel-5.0.1-7.el7.x86_64 1/32

Verifying : checkpolicy-2.5-8.el7.x86_64 2/32

Verifying : postgresql13-libs-13.13-1PGDG.rhel7.x86_64 3/32

Verifying : perl-Test-Simple-0.98-243.el7.noarch 4/32

Verifying : scl-utils-20130529-19.el7.x86_64 5/32

Verifying : policycoreutils-2.5-34.el7.x86_64 6/32

Verifying : postgresql13-devel-13.13-1PGDG.rhel7.x86_64 7/32

Verifying : postgresql13-13.13-1PGDG.rhel7.x86_64 8/32

Verifying : python-IPy-0.75-6.el7.noarch 9/32

Verifying : libselinux-utils-2.5-15.el7.x86_64 10/32

Verifying : policycoreutils-python-2.5-34.el7.x86_64 11/32

Verifying : perl-IO-Tty-1.10-11.el7.x86_64 12/32

Verifying : setools-libs-3.3.8-4.el7.x86_64 13/32

Verifying : devtoolset-7-runtime-7.1-4.el7.x86_64 14/32

Verifying : llvm-toolset-7-clang-5.0.1-4.el7.x86_64 15/32

Verifying : perl-IPC-Run-0.92-2.el7.noarch 16/32

Verifying : devtoolset-7-gcc-7.3.1-5.16.el7.x86_64 17/32

Verifying : libsemanage-python-2.5-14.el7.x86_64 18/32

Verifying : devtoolset-7-binutils-2.28-11.el7.x86_64 19/32

Verifying : llvm-toolset-7-clang-libs-5.0.1-4.el7.x86_64 20/32

Verifying : libselinux-python-2.5-15.el7.x86_64 21/32

Verifying : llvm-toolset-7-compiler-rt-5.0.1-2.el7.x86_64 22/32

Verifying : audit-libs-python-2.8.5-4.el7.x86_64 23/32

Verifying : llvm5.0-5.0.1-7.el7.x86_64 24/32

Verifying : llvm-toolset-7-runtime-5.0.1-4.el7.x86_64 25/32

Verifying : llvm-toolset-7-libomp-5.0.1-2.el7.x86_64 26/32

Verifying : libedit-devel-3.0-12.20121213cvs.el7.x86_64 27/32

Verifying : llvm5.0-libs-5.0.1-7.el7.x86_64 28/32

Verifying : llvm-toolset-7-llvm-libs-5.0.1-8.el7.x86_64 29/32

Verifying : devtoolset-7-libstdc++-devel-7.3.1-5.16.el7.x86_64 30/32

Verifying : devtoolset-7-gcc-c++-7.3.1-5.16.el7.x86_64 31/32

Verifying : libcgroup-0.41-21.el7.x86_64 32/32

Installed:

postgresql13-devel.x86_64 0:13.13-1PGDG.rhel7

Dependency Installed:

audit-libs-python.x86_64 0:2.8.5-4.el7

checkpolicy.x86_64 0:2.5-8.el7

devtoolset-7-binutils.x86_64 0:2.28-11.el7

devtoolset-7-gcc.x86_64 0:7.3.1-5.16.el7

devtoolset-7-gcc-c++.x86_64 0:7.3.1-5.16.el7

devtoolset-7-libstdc++-devel.x86_64 0:7.3.1-5.16.el7

devtoolset-7-runtime.x86_64 0:7.1-4.el7

libcgroup.x86_64 0:0.41-21.el7

libedit-devel.x86_64 0:3.0-12.20121213cvs.el7

libselinux-python.x86_64 0:2.5-15.el7

libselinux-utils.x86_64 0:2.5-15.el7

libsemanage-python.x86_64 0:2.5-14.el7

llvm-toolset-7-clang.x86_64 0:5.0.1-4.el7

llvm-toolset-7-clang-libs.x86_64 0:5.0.1-4.el7

llvm-toolset-7-compiler-rt.x86_64 0:5.0.1-2.el7

llvm-toolset-7-libomp.x86_64 0:5.0.1-2.el7

llvm-toolset-7-llvm-libs.x86_64 0:5.0.1-8.el7

llvm-toolset-7-runtime.x86_64 0:5.0.1-4.el7

llvm5.0.x86_64 0:5.0.1-7.el7

llvm5.0-devel.x86_64 0:5.0.1-7.el7

llvm5.0-libs.x86_64 0:5.0.1-7.el7

perl-IO-Tty.x86_64 0:1.10-11.el7

perl-IPC-Run.noarch 0:0.92-2.el7

perl-Test-Simple.noarch 0:0.98-243.el7

policycoreutils.x86_64 0:2.5-34.el7

policycoreutils-python.x86_64 0:2.5-34.el7

postgresql13.x86_64 0:13.13-1PGDG.rhel7

postgresql13-libs.x86_64 0:13.13-1PGDG.rhel7

python-IPy.noarch 0:0.75-6.el7

scl-utils.x86_64 0:20130529-19.el7

setools-libs.x86_64 0:3.3.8-4.el7

Complete!

-----> Multipack app

=====> Downloading Buildpack: https://github.com/heroku/heroku-buildpack-nodejs.git

=====> Detected Framework: Node.js

-----> Creating runtime environment

NPM_CONFIG_LOGLEVEL=error

NPM_CONFIG_PRODUCTION=false

NODE_VERBOSE=false

NODE_ENV=production

NODE_MODULES_CACHE=true

-----> Installing binaries

engines.node (package.json): ^20.9.0

engines.npm (package.json): ^10.1.0

Resolving node version ^20.9.0...

Downloading and installing node 20.9.0...

node: /lib64/libm.so.6: version `GLIBC_2.27' not found (required by node)

node: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by node)

node: /lib64/libstdc++.so.6: version `CXXABI_1.3.9' not found (required by node)

node: /lib64/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by node)

node: /lib64/libc.so.6: version `GLIBC_2.28' not found (required by node)

node: /lib64/libc.so.6: version `GLIBC_2.25' not found (required by node)

-----> Build failed

! This Node.js version is not compatible with the current stack.

For Node.js versions 18 and greater, heroku-20 or newer is required.

Consider updating to a stack that is compatible with the Node.js version

or pinning the Node.js version to be compatible with the current

stack.

https://help.heroku.com/R7DTSTD0

We're sorry this build is failing! You can troubleshoot common issues here:

https://devcenter.heroku.com/articles/troubleshooting-node-deploys

If you're stuck, please submit a ticket so we can help:

https://help.heroku.com/

Love,

Heroku

! ERROR: compile failed

Failed to package application

tar: This does not look like a tar archive

tar: Exiting with failure status due to previous errors

! FAILED - Build error.

! Please contact support.